> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-forklift-operator/faq.md).

# FAQ

## How to do localization <a href="#how-to-do-localization" id="how-to-do-localization"></a>

{% hint style="success" %}
A detailed description is available. [Editing localization files](/0resmon/0resmon-1/0r-resources/0r-forklift-operator/editing-localization-files.md)
{% endhint %}

***

## How can I integrate my fuel? <a href="#how-can-i-integrate-my-inventory" id="how-can-i-integrate-my-inventory"></a>

{% hint style="success" %}
Check `modules/fuel/your_fuel_name/client.lua` and follow the inventory documentation
{% endhint %}

```lua
---@diagnostic disable: duplicate-set-field
local resourceName = "your_fuel_folder_name"
if GetResourceState(resourceName) == 'missing' then return end
Fuel = Fuel or {}

---@description Returns the name of the active fuel resource.
---@return string
Fuel.GetResourceName = function()
    return resourceName
end

---@description Returns the current fuel level of a vehicle.
---@param vehicle number The vehicle entity handle.
---@return number The vehicle fuel level.
Fuel.GetFuel = function(vehicle)
    if not DoesEntityExist(vehicle) then return 0.0 end
    return exports['your_fuel_folder_name']:GetFuel(vehicle)
end

---@description Sets the fuel level of a vehicle.
---@param vehicle number The vehicle entity handle.
---@param fuel number The fuel level to assign.
---@param type? string The fuel type, used only in ti_fuel. (default: RON91)
---@return nil
Fuel.SetFuel = function(vehicle, fuel, type)
    if not DoesEntityExist(vehicle) then return end
    exports['your_fuel_folder_name']:SetFuel(vehicle, fuel)
end

return Fuel
```

***

## How can i integrate my vehiclekeys script ? <a href="#how-can-i-integrate-my-target-script" id="how-can-i-integrate-my-target-script"></a>

{% hint style="success" %}
Check `modules/vehiclekeys/your_vehiclekey_name/client.lua` and follow the vehicle keys documentation
{% endhint %}

```lua
---@diagnostic disable: duplicate-set-field
local resourceName = "your_vehiclkey_folder_name"
if GetResourceState(resourceName) == 'missing' then return end

VehicleKey = VehicleKey or {}

---Gives the player (self) the keys of the specified vehicle.
---@param vehicle number The vehicle entity handle.
---@param plate? string The plate of the vehicle.
---@return nil
VehicleKey.GiveKeys = function(vehicle, plate)
    assert(vehicle, "vehicle is nil")
    assert(DoesEntityExist(vehicle), "vehicle does not exist")
    if not plate then plate = GetVehicleNumberPlateText(vehicle) end

    -- Your Give Key Event/Export
end

-- TODO: Test, documentation of the script is missing

---Removes the keys of the specified vehicle from the player (self).
---@param vehicle number The vehicle entity handle.
---@param plate? string The plate of the vehicle.
---@return nil
VehicleKey.RemoveKeys = function(vehicle, plate)
    assert(vehicle, "vehicle is nil")
    assert(DoesEntityExist(vehicle), "vehicle does not exist")

    if not plate then plate = GetVehicleNumberPlateText(vehicle) end

    -- Your Remove Key Event/Export
end

VehicleKey.GetResourceName = function()
    return resourceName
end

return VehicleKey
```

***

## How can i integrate my target script ? <a href="#how-can-i-integrate-my-target-script" id="how-can-i-integrate-my-target-script"></a>

{% hint style="success" %}
Check `modules/target/your_target_name/client.lua` and follow other folder and your target documentation
{% endhint %}

***

## How can i integrate my notify script ? <a href="#how-can-i-integrate-my-target-script" id="how-can-i-integrate-my-target-script"></a>

{% hint style="success" %}
Check `modules/notify/your_target_name/client.lua` and follow other folder and your notify documentation
{% endhint %}

***

## How can i integrate my progress bar script ? <a href="#how-can-i-integrate-my-target-script" id="how-can-i-integrate-my-target-script"></a>

{% hint style="success" %}
Check `modules/progressbar/your_target_name/client.lua` and follow other folder and your progressbar documentation
{% endhint %}

***

## Where are the config files?

{% hint style="success" %}
All config files are inside `config/` folder
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-forklift-operator/faq.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
